unit Demomain;

interface

uses
  SysUtils, WinTypes, WinProcs, Messages, Classes, Controls,
  Forms, Dialogs, StdCtrls, Buttons, ExtCtrls;

const
     WM_Acq_Reg = WM_USER + 0;

type
  TFormMain = class(TForm)
    Button1: TButton;
    CloseBtn: TBitBtn;
    RegressiBtn: TBitBtn;
    Timer: TTimer;
    Label1: TLabel;
    procedure EnvoieDonneesClick(Sender: TObject);
    procedure CloseBtnClick(Sender: TObject);
    procedure RegressiBtnClick(Sender: TObject);
    procedure TimerTimer(Sender: TObject);
  private
  public
  protected
      procedure WMAcqReg(var Msg : TMessage); message WM_Acq_Reg;
  end;

var
  FormMain: TFormMain;

implementation

uses demoDDE, constReg;

{$R *.DFM}

procedure TFormMain.EnvoieDonneesClick(Sender: TObject);
begin
     if ConstanteDlg.showModal=mrOk then
        formDDE.EnvoieDonnees;
end;

procedure TFormMain.CloseBtnClick(Sender: TObject);
begin
     close
end;

procedure TFormMain.RegressiBtnClick(Sender: TObject);
begin
     FormDDE.Execute('FOCUS()');
end;

procedure TFormMain.WMAcqReg(var Msg : TMessage);
begin
    timer.enabled := true;
end;

procedure TFormMain.TimerTimer(Sender: TObject);
begin
     timer.enabled := false;
     formDDE.EnvoieDonnees;
end;

end.
